import IController from './IController';
import IMark from './IMark';
declare class NullController implements IController {
    onMouseUpText(): void;
    onMouseUpMark(): void;
    onMouseUpSelection(): void;
    onMouseUpMetaString(): void;
    onMouseUpOther(): void;
}
declare class Controller implements IController {
    private deselectCbk;
    private selectNewCbk;
    private selectMarkCbk;
    constructor(deselectCbk: Controller['deselectCbk'], selectNewCbk: Controller['selectNewCbk'], selectMarkCbk: Controller['selectMarkCbk']);
    onMouseUpText(e: Event, charRange: [number, number]): void;
    onMouseUpMark(e: Event, charRange: [number, number], marks: IMark[]): void;
    onMouseUpSelection(e: Event, charRange: [number, number]): void;
    onMouseUpMetaString(e: Event, charRange: [number, number], metaStringText: string): void;
    onMouseUpOther(e: Event): void;
}
export { IController, NullController, Controller };
